/** 各 button 共用樣式 */
.btn {
  p {
    margin: 0 4px 0 0;
  }
}

/** block 型按鈕 */
// secondary 樣式
.btn-large-secondary {
  @include btn-rounded-border(12px, 0);
  @include bg-color($secondary);

  color: $white;
  &:hover {
    @include common-hover($white);
  }

  &:focus {
    box-shadow: none;
  }
}

// gray-200 樣式
.btn-large-gray-200 {
  @include btn-rounded-border(12px, 0);
  @include bg-color($gray-200);

  color: $main;
  &:hover {
    @include common-hover($white);
  }
}

// outline 樣式
.btn-outline-large {
  @include btn-rounded-border(12px, 0, $main);

  color: $main;
  &:hover {
    @include common-hover($main);
  }
}

/** badge 型按鈕 */
// secondary 樣式
.btn-middle-secondary {
  @include btn-rounded-border(6.5px, 24px);
  &:hover {
    @include common-hover($main);
  }

  &:focus {
    box-shadow: none;
  }
}

// gray-200 樣式
.btn-middle-gray-200 {
  @include btn-rounded-border(6.5px, 24px);
  @include bg-color($gray-200);

  color: $main;
  &:hover {
    @include common-hover($main);
  }
}

// outline 樣式
.btn-outline-middle {
  @include btn-rounded-border(6.5px, 24px, $main);
  &:hover {
    @include common-hover($main);
  }
}

/** 純 icon 按鈕 */
// secondary 樣式
.btn-small-secondary {
  @include btn-rounded-border(8px, 8px, 100%);
  @include bg-color($secondary);

  color: $white;
  &:hover {
    @include common-hover;
  }

  &:focus {
    box-shadow: none;
  }
}

// gray-200 樣式
.btn-small-gray-200 {
  @include btn-rounded-border(8px, 8px, 100%);
  @include bg-color($gray-200);

  color: $main;
  &:hover {
    @include common-hover;
  }

  &:focus {
    box-shadow: none;
  }
}

// outline 樣式
.btn-outline-small {
  @include btn-rounded-border(8px, 8px, $main, 100%);
  &:hover {
    @include common-hover;
  }

  &:focus {
    box-shadow: none;
  }
}

.interact-button-list button:nth-child(n + 2) {
  margin-left: 24px;
}

/** Icons */
$icons: (
  create: 'plus-blue',
  create-circle: 'plus-circle',
  export: 'download-blue',
  edit: 'edit-blue',
  delete: 'trash-red',
  search: 'search-white',
  arrow-right-white: 'chevron-right-white',
  arrow-right-blue: 'chevron-right-blue',
  arrow-down: 'chevron-down-gray',
  eye: 'eye',
  eye-off: 'eye-off',
  branch: 'branch',
  branch-last: 'branch-last'
);
@each $key, $value in $icons {
  .icon-#{$key} {
    width: 16px;
    height: 16px;
    cursor: pointer;
    background-image: url('@/assets/icons/' + $value + '.svg');
    background-repeat: no-repeat;
    background-position: right;
    background-size: 16px 16px;
    box-shadow: none;
  }
}
.icons-column > a {
  margin-top: 4px;
  margin-bottom: 4px;
}
.operation-btn-list a:nth-child(n + 2) {
  margin-left: 16px;
}
